/*
 * Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
 *
 * This file is part of NRAO Workspaces.
 *
 * Workspaces is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Workspaces is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
 */
import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-global-settings',
  templateUrl: './global-settings.component.html',
  styleUrls: ['./global-settings.component.scss']
})
export class GlobalSettingsComponent implements OnInit {
  public globalSettingsList: Array<any> = []
  public calibrationSettingsList: Array<any> = []

  constructor() { }

  ngOnInit(): void {
    this.globalSettingsList = [
      {
        "allow_job_deletion": false,
        "allow_product_deletion": false,
      },
      {},
      {},
      {},
    ]
    this.calibrationSettingsList = [
      {
        "something": "foo",
        "sth_else": 2.2,
        "whom": "meem",
        "things": []
      }
    ]
  }

}
